Bug 1595784 - Missing hammer command for BMC boot API
Summary: Missing hammer command for BMC boot API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.2.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-27 14:28 UTC by Francisco Garcia
Modified: 2019-10-07 17:18 UTC (History)
7 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_foreman-0.15.0-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:34 UTC
Foreman Issue Tracker 24099 None None None 2018-06-28 08:00:39 UTC

Description Francisco Garcia 2018-06-27 14:28:53 UTC
1. Proposed title of this feature request
[RFE] Foreman api call to boot from PXE              

2. Who is the customer behind the request?

Account: 5501249
TAM customer: yes
SRM customer: yes
Strategic: yes

3. What is the nature and description of the request?

Satellite 6.2 supports making servers boot from	PXE via	the ipmi provider, and can be triggered via Web UI. However those methods are not available via 
Satellite API or hammer.

Satellite API should expose boot options in the	same way webui is able

4. Why does the customer need this? (List the business requirements here)

Customer wants to leverage Satellite already having the	BMC credentials	stored in Satellite so any Satellite API user can use those boot methods without knowing the BMC	credentials.

5. How would the customer like to achieve this? (List the functional requirements here)

- Have an API that can be called, and optionally include hammer support

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.


7. Is there already an existing RFE upstream or in Red Hat Bugzilla?


8. Does the customer have any specific time-line dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

9. Is the sales team involved in this request and do they have any additional input?

10. List any affected packages or components.


11. Would the customer be able to assist in testing this functionality if implemented?

Yes

Comment 2 Bryan Kearney 2018-08-09 17:22:18 UTC
Lzap, is there a way to do this today?

Comment 3 Lukas Zapletal 2018-08-10 10:41:42 UTC
Satellite 6.2 contains such an API, it is in our documentation too. It was implemented in 2013 as part of https://projects.theforeman.org/issues/3046

Here is the docs:

https://theforeman.org/api/1.18/apidoc/v2/hosts.html#description-boot

PUT /api/hosts/:id/boot 
Boot host from specified device

It has 4 parameters, it copy*pastes badly see the link. Scroll down a bit.

Comment 4 Bryan Kearney 2018-08-10 11:51:26 UTC
Lukas, wait.. if we already have the API why the upstream issue?

Comment 5 Lukas Zapletal 2018-08-13 07:31:44 UTC
Oh that is because CLI, we do have API but not CLI. Let me move the ustream bug to hammer.

Comment 8 pm-sat@redhat.com 2018-10-23 22:09:05 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24099 has been resolved.

Comment 9 Peter Ondrejka 2018-11-14 10:31:21 UTC
Verified on Satellite 6.5 snap 3, hammer boot sub-command has been added and it sends boot request with device params as expected

Comment 13 errata-xmlrpc 2019-05-14 12:37:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.